package com.glxp.udidl.admin.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "产品信息查询参数实体")
public class ProductInfoFilterRequest extends ListPageRequest {

    @ApiModelProperty(value = "产品标识")
    private String nameCode;

    @ApiModelProperty(value = "第三方产品编号")
    private String thirdProductNo;

    @ApiModelProperty(value = "")
    private String deviceRecordKey;

    @ApiModelProperty(value = "uuid")
    private String uuid;

    @ApiModelProperty(value = "产品通用名称")
    private String cpmctymc;

    @ApiModelProperty(value = "医疗器械注册备案人名称")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "")
    private String authCode;

    private boolean isShowHis;

    @ApiModelProperty(value = "标识类型：1.主标识，2，使用单元标识，3.本体标识，4，包装标识")
    private String diType;

    @ApiModelProperty(value = "是否最新")
    private Integer isNewest;

    @ApiModelProperty(value = "注册/备案证号")
    private String zczbhhzbapzbh;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;
}
